Events

Transfer a ticket

PUT/events/:eventId/entries/:entryId/transfer

Transfer an unused (UNUSED) ticket from a multi-ticket purchase to another user. Only the purchaser can transfer, and tickets marked non-transferable cannot be transferred.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID.

entryIdstringrequired

ID of the entry (ticket) to transfer.

Request body

transferToUserIdstringrequired

User ID of the recipient.

Response

Returns EventEntry.

Request
curl https://api.4s.link/events/EVENT_ID/entries/ENTRY_ID/transfer \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"transferToUserId": "u1a2b3c4-..."
}'
Example response
{
"id": "en1a2b3-...",
"state": "UNUSED",
"userId": "u1a2b3c4-..."
}